Eclipse Rich Ajax Platform

## org.eclipse.swt.events
Interface TraverseListener

    public interface TraverseListener

Classes which implement this interface provide a method that deals with the events that are generated when a traverse event occurs in a control.

After creating an instance of a class that implements this interface it can be added to a control using the `addTraverseListener` method and removed using the `removeTraverseListener` method. When a traverse event occurs in a control, the keyTraversed method will be invoked.

Since:
  1.2
See Also:
  `TraverseEvent`

Method Summary
`void` `keyTraversed(TraverseEvent e)` Sent when a traverse event occurs in a control.

Method Detail

### keyTraversed

    void keyTraversed(TraverseEvent e)

  Sent when a traverse event occurs in a control.

  A traverse event occurs when the user presses a traversal key. Traversal keys are typically tab and arrow keys, along with certain other keys on some platforms. Traversal key constants beginning with `TRAVERSE_` are defined in the `SWT` class.

  Parameters:
    `e` - an event containing information about the traverse

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.